PS_ADD_BOOKMARK(3)

NAME
PS_add_bookmark — Add bookmark to current page

SYNOPSIS

#include <pslib.h>

int PS_add_bookmark(PSDoc *psdoc, const char *text, int parent, int open)

DESCRIPTION

Adds a bookmark for the current page. Bookmarks usually appear in PDF-Viewers left of the page in a hierachical tree. Clicking on a bookmark will jump to the given page.

The parameter parent is another bookmark which is used as the parent of the new bookmark. If open is unequal to zero the bookmark will be shown open by the pdf viewer.

The bookmark has no meaning if the document is printed or viewed but it will be used if the document is converted to pdf by either Acrobat Distiller™ or Ghostview.

The returned value is a reference for the bookmark. It is only used if the bookmark shall be used as a parent.

RETURN VALUE

Returns the identifier of the bookmark or zero in case of an error. The identifier is a positiv number.

SEE ALSO

PS_add_launchlink(3), PS_add_pdflink(3), PS_add_weblink(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.